## el-mock-el 1.25.1+git20220625.6cfbc9d

=== Makefile ===
CASK ?= cask

test:
	$(CASK) exec ert-runner

.PHONY: test

## el-mock-el 1.25.1

=== debian/changelog ===
el-mock-el (1.25.1-2) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Bump standards version to 4.1.1 (no changes needed)
    - Drop depends on emacsen-common
    - Drop enhances emacs24
    - Drop Build-Using: ${misc:Built-Using}

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 03 Oct 2017 22:42:31 -0400

el-mock-el (1.25.1-1) unstable; urgency=medium

  * Initial release (Closes: #863190)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 23 May 2017 10:55:35 +0500

=== debian/control ===
Source: el-mock-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 4.1.1
Homepage: https://github.com/rejeep/el-mock.el
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/el-mock-el.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/el-mock-el.git

Package: elpa-el-mock
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: tiny mock and stub framework for Emacs Lisp
 Emacs Lisp Mock is a library for mocking and stubbing using readable
 syntax. Most commonly Emacs Lisp Mock is used in conjunction with
 Emacs Lisp Expectations, but it can be used in other contexts.

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%el-mock-el-$1.tar.gz%" \
             https://github.com/rejeep/el-mock.el/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## el-mock-el 1.25.1%2Bgit20220625.6cfbc9d

=== debian/changelog ===
el-mock-el (1.25.1+git20220625.6cfbc9d-7build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 20:56:28 +0000

el-mock-el (1.25.1+git20220625.6cfbc9d-7) unstable; urgency=medium

  * Build-Depends on dh-elpa >= 2.1.6 in d/control
    - For using the correct implementation of ert_selectors.
  * Update Standards-Version to 4.7.2; no change needed
  * Update section to editors in d/control

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 27 Feb 2025 01:43:51 -0800

el-mock-el (1.25.1+git20220625.6cfbc9d-6) unstable; urgency=medium

  * Skip "preserve-stacktrace" test
    - This test inspects an internal representation of the stacktrace.
      This internal representation changes every few major releases, and
      in Emacs 30.1 this has changed to an interpreted closure that can be
      created either by make-interpreted-closure which is only available
      in 30 or later, or by a new read syntax that is only recognized
      since 30.  This probably suggests that this test is not really a
      good idea anyway, so skipping it.
    - Also drop the patch that tried to update the representation for 29.

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 26 Feb 2025 10:33:42 -0800

el-mock-el (1.25.1+git20220625.6cfbc9d-5) unstable; urgency=medium

  * Add d/salsa-ci.yml with default template
  * Update patch for Emacs 30.1
  * Update Standards-Version to 4.7.1; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 25 Feb 2025 11:19:31 -0800

el-mock-el (1.25.1+git20220625.6cfbc9d-4) unstable; urgency=medium

  * Update patch to check for native compilation
    - The previous upload shows test failures on riscv64 and s390x, which
      has Emacs version 29 but built without native compilation.
    - Update the test to check for native compilation and determine the
      backtrace format.

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 30 Dec 2024 05:00:18 -0800

el-mock-el (1.25.1+git20220625.6cfbc9d-3) unstable; urgency=medium

  * Update patch to mark the correct Emacs version of 28
    - The new format was actually for Emacs 28 and newer.
    - Tested with Emacs 28.2 in stable and 29.4 in testing.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 29 Dec 2024 22:20:53 -0800

el-mock-el (1.25.1+git20220625.6cfbc9d-2) unstable; urgency=medium

  * Enable autopkgtest-pkg-elpa in d/control
    - This reduces migration time required.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 27 Dec 2024 18:19:32 -0800

el-mock-el (1.25.1+git20220625.6cfbc9d-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Sync to latest upstream snapshot (6cfbc9d)
  * Update d/watch to track upstream snapshots
  * Add d/gbp.conf to match current practice
  * Update standards version to 4.7.0, no changes needed.
  * Drop emacs version from oldoldstable in Recommends in d/control
  * Skip upstream Makefile which uses Cask and rely on dh-elpa in d/rules
  * Add elpa-ert-expectations to B-D in d/control
  * Require ert-expectations in d/elpa-test
  * Add patch to fix test for Emacs 29+
  * Add myself to Uploaders in d/control

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 27 Dec 2024 07:30:32 +0000

el-mock-el (1.25.1-6) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:02:06 +0900

el-mock-el (1.25.1-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:59:25 +0900

el-mock-el (1.25.1-4) unstable; urgency=medium

  * Build against newer dh_elpa
  * Add upstream metadata
  * d/control: Migrate to debhelper-compat 13
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 13 Dec 2020 10:23:40 +0500

el-mock-el (1.25.1-3) unstable; urgency=medium

  * Migrate to dh 12
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 02 Feb 2019 14:38:19 +0500

## el-mock-el 1.25.1+git20220625.6cfbc9d

=== debian/control ===
Source: el-mock-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>,
           Xiyue Deng <manphiz@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               dh-elpa (>= 2.1.6),
               elpa-ert-expectations,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/rejeep/el-mock.el
Vcs-Browser: https://salsa.debian.org/emacsen-team/el-mock-el
Vcs-Git: https://salsa.debian.org/emacsen-team/el-mock-el.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-el-mock
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: tiny mock and stub framework for Emacs Lisp
 Emacs Lisp Mock is a library for mocking and stubbing using readable
 syntax. Most commonly Emacs Lisp Mock is used in conjunction with
 Emacs Lisp Expectations, but it can be used in other contexts.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skip upstream Makefile which uses Cask and rely on dh-elpa
